### Hierarchy

- unknown
  - TradeCurrency

## Index

### Constructors

- constructor

### Methods

- clearCryptoCurrency
- clearFiatCurrency
- getCode
- getCryptoCurrency
- getFiatCurrency
- getMessageCase
- getName
- hasCryptoCurrency
- hasFiatCurrency
- serializeBinary
- setCode
- setCryptoCurrency
- setFiatCurrency
- setName
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new TradeCurrency(): TradeCurrency

- Inherited from jspb.Message.constructor

  #### Returns TradeCurrency

## Methods

### clearCryptoCurrency

- clearCryptoCurrency(): TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:7999

  #### Returns TradeCurrency

### clearFiatCurrency

- clearFiatCurrency(): TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8004

  #### Returns TradeCurrency

### getCode

- getCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:7990

  #### Returns string

### getCryptoCurrency

- getCryptoCurrency(): undefined | CryptoCurrency

- - Defined in src/protobuf/pb_pb.d.ts:7996

  #### Returns undefined | CryptoCurrency

### getFiatCurrency

- getFiatCurrency(): undefined | FiatCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8001

  #### Returns undefined | FiatCurrency

### getMessageCase

- getMessageCase(): TradeCurrency . MessageCase

- - Defined in src/protobuf/pb_pb.d.ts:8006

  #### Returns TradeCurrency . MessageCase

### getName

- getName(): string

- - Defined in src/protobuf/pb_pb.d.ts:7993

  #### Returns string

### hasCryptoCurrency

- hasCryptoCurrency(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7998

  #### Returns boolean

### hasFiatCurrency

- hasFiatCurrency(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:8003

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:8008

  #### Returns Uint8Array

### setCode

- setCode(value: string): TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:7991

  #### Parameters

  - ##### value: string

  #### Returns TradeCurrency

### setCryptoCurrency

- setCryptoCurrency(value?: CryptoCurrency ): TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:7997

  #### Parameters

  - ##### Optional value: CryptoCurrency

  #### Returns TradeCurrency

### setFiatCurrency

- setFiatCurrency(value?: FiatCurrency ): TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8002

  #### Parameters

  - ##### Optional value: FiatCurrency

  #### Returns TradeCurrency

### setName

- setName(value: string): TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:7994

  #### Parameters

  - ##### value: string

  #### Returns TradeCurrency

### toObject

- toObject(includeInstance?: boolean): TradeCurrency . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8009

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns TradeCurrency . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8012

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradeCurrency

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradeCurrency, reader: BinaryReader): TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8013

  #### Parameters

  - ##### message: TradeCurrency

  - ##### reader: BinaryReader

  #### Returns TradeCurrency

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: TradeCurrency, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:8011

  #### Parameters

  - ##### message: TradeCurrency

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: TradeCurrency ): TradeCurrency . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8010

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradeCurrency

  #### Returns TradeCurrency . AsObject

Generated using TypeDoc